Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.entityml.com/api/v1/subscriptions/status
Return subscription state for a user.
has_subscription
subscription_id
status
tier
current_period_start
current_period_end
from entityml import EntityMLClient client = EntityMLClient() status = client.billing.get_subscription_status(user_id="YOUR_USER_ID") print(status)
{ "has_subscription": true, "subscription_id": "sub_...", "status": "active", "tier": "pro", "current_period_start": "2026-05-01T00:00:00+00:00", "current_period_end": "2026-06-01T00:00:00+00:00" }